<?php

/**
 * Advanced_Sidebar_Menu_Pro__Deprecated__Category_Styles
 *
 * @author OnPoint Plugins
 * @since  3.3.0
 *
 */
class Advanced_Sidebar_Menu_Pro__Deprecated__Category_Styles {
	protected $instance = array();


	protected function __construct( array $instance ) {
		$this->instance = $instance;
	}


	/**
	 * There used to be a separate category class which had it's own keys.
	 * Now all the Styles classes use the same keys so we map an old keys here.
	 *
	 * @return array
	 */
	public function get_translated_styles() {
		$map = array(
			'parent_category_color'               => 'parent_page_color',
			'parent_category_bg_color'            => 'parent_page_bg_color',
			'parent_category_font_weight'         => 'parent_page_font_weight',
			'parent_category_font_size'           => 'parent_page_font_size',
			'child_category_color'                => 'child_page_color',
			'child_category_bg_color'             => 'child_page_bg_color',
			'child_category_font_weight'          => 'child_page_font_weight',
			'child_category_font_size'            => 'child_page_font_size',
			'grandchild_category_color'           => 'grandchild_page_color',
			'grandchild_category_bg_color'        => 'grandchild_page_bg_color',
			'grandchild_category_font_weight'     => 'grandchild_page_font_weight',
			'grandchild_category_font_size'       => 'grandchild_page_font_size',
			'current_category_color'              => 'current_page_color',
			'current_category_bg_color'           => 'current_page_bg_color',
			'current_category_font_weight'        => 'current_page_font_weight',
			'current_category_font_size'          => 'current_page_font_size',
			'current_category_parent_color'       => 'current_page_parent_color',
			'current_category_parent_bg_color'    => 'current_page_parent_bg_color',
			'current_category_parent_font_weight' => 'current_page_parent_font_weight',
			'current_category_parent_font_size'   => 'current_page_parent_font_size',

			'apply_current_category_styles_to_parent'        => 'apply_current_page_styles_to_parent',
			'apply_current_category_parent_styles_to_parent' => 'apply_current_page_parent_styles_to_parent',

		);

		foreach ( $map as $_old_key => $_new_key ) {
			if ( isset( $this->instance[ $_old_key ] ) ) {
				$this->instance[ $_new_key ] = $this->instance[ $_old_key ];
				unset( $this->instance[ $_old_key ] );
			}
		}

		return $this->instance;

	}


	public static function factory( array $widget_instance ) {
		return new self( $widget_instance );
	}
}
